de.dhbwstuttgart.typeinference.unify

## Class ParallelUnify

- java.lang.Object
- - de.dhbwstuttgart.typeinference.unify.ParallelUnify

-     public class ParallelUnify
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParallelUnify(ConstraintsSet constraints)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private CartesianProduct` | `parallelCartProd()`
    `private UnifyResult` | `parallelUnify(Menge<Pair> pairs, FC_TTO fc)`
    `UnifyResult` | `unify()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParallelUnify

          public ParallelUnify(ConstraintsSet constraints)

  - ### Method Detail

    - #### parallelCartProd

          private CartesianProduct parallelCartProd()

    - #### parallelUnify

          private UnifyResult parallelUnify(Menge<Pair> pairs,
                                            FC_TTO fc)

    - #### unify

          public UnifyResult unify()